# GimpUi.Frame.new

    function new(label: String): Gtk.Widget {
        // Gjs wrapper for gimp_frame_new()
    }

Creates a GimpUi.Frame widget. A GimpUi.Frame is a HIG-compliant variant of Gtk.Frame. It doesn't render a frame at all but otherwise behaves like a frame. The frame's title is rendered in bold and the frame content is indented four spaces as suggested by the GNOME HIG (see https://developer.gnome.org/hig/stable/).

Since 2.2

label

  text to set as the frame's title label (or null for no title)

Returns

  a new GimpUi.Frame widget